#!/bin/sh

if [ $# -lt 1 ]; then
    echo "$0 ip-address"
    echo "    ip-address: where to find the device"
    exit 1
fi


set -x

openwrt_ip=$1; shift

ping -c3 ${openwrt_ip}
if [ $? -ne 0 ]; then
    echo "Cannot reach ${openwrt_ip}, aborting"
    exit 1
fi

cat <<EOF | ssh -t "root@${openwrt_ip}"
set -x

opkg update
opkg install mjpg-streamer kmod-video-uvc mjpg-streamer-input-uvc mjpg-streamer-output-http mjpg-streamer-www-simple


uci set mjpg-streamer.core.enabled=1
uci set mjpg-streamer.core.resolution="1920x1080"
uci delete  mjpg-streamer.core.username
uci delete  mjpg-streamer.core.password

if ! uci show firewall | grep "name='Allow-Camera'"; then
uci add firewall rule
uci set firewall.@rule[-1].name='Allow-Camera'
uci set firewall.@rule[-1].src='wan'
uci set firewall.@rule[-1].proto='tcp'
uci set firewall.@rule[-1].dest_port='8080'
uci set firewall.@rule[-1].target='ACCEPT'
fi

uci commit


/etc/init.d/mjpg-streamer restart

EOF
