#!/bin/sh

if [ $# -lt 1 ]; then
    echo "$0 ip-address"
    echo "    ip-address: where to find the device"
    exit 1
fi


set -x

openwrt_ip=$1; shift

ping -c3 ${openwrt_ip}
if [ $? -ne 0 ]; then
    echo "Cannot reach ${openwrt_ip}, aborting"
    exit 1
fi

cat <<EOF | ssh -t "root@${openwrt_ip}"
set -x

opkg update
opkg install motion kmod-video-uvc

uci set motion.general.enabled=1

cat > /etc/motion.conf <<COF

ipv6_enabled on
daemon off
process_id_file /var/run/motion/motion.pid
setup_mode off

webcontrol_port 8080
webcontrol_localhost on

videodevice /dev/video0
v4l2_palette 8

width 1280
height 720

videodevice /dev/video0
input -1
stream_port 8081
stream_localhost off

COF

/etc/init.d/motion restart
EOF
