#!/bin/sh

if [ $# -lt 1 ]; then
    echo "$0 ip-address"
    echo "    ip-address: where to find the device"
    exit 1
fi


set -x

openwrt_ip=$1; shift

ping -c3 ${openwrt_ip}
if [ $? -ne 0 ]; then
    echo "Cannot reach ${openwrt_ip}, aborting"
    exit 1
fi

cat <<EOF | ssh -t "root@${openwrt_ip}"
set -x

opkg update
opkg install kmod-usb-acm gpsd

uci set gpsd.core.enabled=1
uci set gpsd.core.listen_globally=1
uci set gpsd.core.device="/dev/ttyACM0"
uci commit

EOF
