#!/bin/sh

if [ $# -ne 1 ]; then
    echo "$0 ip-address"
    echo "    ip-address: where to find the OpenWRT device"
    exit 1
fi

my_ip=$1; shift


temper_version=0.0.2
temper_url=https://files.pythonhosted.org/packages/7e/1b/0579fef8482660fe194099d988a8ae82b5e5843a60070520039789b26a84/temper-py-0.0.2.tar.gz

cat <<EOF | ssh -t "root@${my_ip}"
set -x

opkg update

opkg install libustream-openssl ca-bundle ca-certificates
opkg install kmod-usb-hid python3-pyserial


wget -O - ${temper_url} | tar xz temper-py-${temper_version}/temper.py

mv temper-py-${temper_version}/temper.py /usr/bin
rmdir temper-py-${temper_version}
chmod a+rx /usr/bin/temper.py

if ! grep -q temper /etc/crontabs/root; then
   echo "*/5 * * * * /usr/bin/temper.py | awk '{ print $7 " " $8 }' > /www/temperature.txt" >> /etc/crontabs/root
   /etc/init.d/cron restart
fi


EOF

exit 0

[ 2089.624343] hid-generic 0003:413D:2107.0001: input,hidraw0: USB HID v1.11 Keyboard [HID 413d:2107] on usb-101c0000.ehci-1.2/input0
[ 2089.826684] hid-generic 0003:413D:2107.0002: hiddev96,hidraw1: USB HID v1.10 Device [HID 413d:2107] on usb-101c0000.ehci-1.2/input1

root@viirb1:~/temper-py-0.0.1# python3 temper.py
Bus 002 Dev 023 413d:2107 TEMPerGold_V3.1 28.5C 83.3F - - - -
